package com.io.yutian.enderdragonwar.effect.types;

import com.io.yutian.enderdragonwar.EnderDragonWar;
import com.io.yutian.enderdragonwar.game.Game;
import com.io.yutian.enderdragonwar.effect.GameGiftEffect;
import org.bukkit.entity.Player;
import org.bukkit.scheduler.BukkitRunnable;

public class FiveLightningEffect extends GameGiftEffect {

    public FiveLightningEffect(String audience) {
        super(audience);
    }

    @Override
    public void apply(Game game) {
        Player player = game.getPlayer();
        new BukkitRunnable() {
            private int count = 0;

            @Override
            public void run() {
                if (count > 5) {
                    cancel();
                    return;
                }
                player.getWorld().strikeLightning(player.getLocation());
                count++;
            }
        }.runTaskTimer(EnderDragonWar.inst(), 0, 10L);
    }

    @Override
    public int getQueueTime() {
        return 20;
    }

}
