package com.io.yutian.enderdragonwar.manager;

import com.io.yutian.enderdragonwar.effect.types.*;
import com.io.yutian.pixelliveapi.api.PixelLiveAPI;
import com.yaohun.enderdragonwar.effect.types.*;

public class GiftEffectManager {

    public static void registerAll() {
        PixelLiveAPI.getEffectManager().registerGiftEffect("清理背包", ClearInventoryEffect::new);
        PixelLiveAPI.getEffectManager().registerGiftEffect("火山喷发", BomBomEffect::new);
        PixelLiveAPI.getEffectManager().registerGiftEffect("幸运方块", LuckyBlockEffect::new);
        PixelLiveAPI.getEffectManager().registerGiftEffect("黑洞", BlackHoleEffect::new);
        PixelLiveAPI.getEffectManager().registerGiftEffect("五雷轰顶", FiveLightningEffect::new);
        PixelLiveAPI.getEffectManager().registerGiftEffect("装备清空", ClearInventoryEffect::new);
        PixelLiveAPI.getEffectManager().registerGiftEffect("岩浆泡澡", LavaPoolEffect::new);
        PixelLiveAPI.getEffectManager().registerGiftEffect("钢铁保安", SummonIronGolem::new);
        PixelLiveAPI.getEffectManager().registerGiftEffect("6倍血量", AddMaxHealthEffect::new);
        PixelLiveAPI.getEffectManager().registerGiftEffect("原地复活", GiveTotemEffect::new);
        PixelLiveAPI.getEffectManager().registerGiftEffect("魔豆天梯", SpawnEnderPortalEffect::new);
        PixelLiveAPI.getEffectManager().registerGiftEffect("世界毁灭", WorldDestroyEffect::new);
        PixelLiveAPI.getEffectManager().registerGiftEffect("变大", PlayerBigEffect::new);
        PixelLiveAPI.getEffectManager().registerGiftEffect("变小", PlayerSmallEffect::new);
        PixelLiveAPI.getEffectManager().registerGiftEffect("安全庇护所", SpawnBuildEffect::new);
        PixelLiveAPI.getEffectManager().registerGiftEffect("螺旋升天", ToHeavenEffect::new);
        PixelLiveAPI.getEffectManager().registerGiftEffect("怪物军团", SummonMobsEffect::new);
        PixelLiveAPI.getEffectManager().registerGiftEffect("芜湖起飞", WuHuJumpEffect::new);
        PixelLiveAPI.getEffectManager().registerGiftEffect("随机盲盒", RandomBoxEffect::new);
        PixelLiveAPI.getEffectManager().registerGiftEffect("附魔金苹果",PlayerGoldAppleEffect::new);
    }

}
