package com.io.yutian.enderdragonwar.effect.types;

import com.io.yutian.enderdragonwar.EnderDragonWar;
import com.io.yutian.enderdragonwar.effect.GameGiftEffect;
import com.io.yutian.enderdragonwar.game.Game;
import org.bukkit.entity.Player;
import org.bukkit.scheduler.BukkitRunnable;
import org.bukkit.util.Vector;

public class ToHeavenEffect extends GameGiftEffect {

    public ToHeavenEffect(String audience) {
        super(audience);
    }

    @Override
    public void apply(Game game) {
        Player player = game.getPlayer();
        double radius = 1.5D;
        EnderDragonWar.getGame().takeLiveTime(60);
        new BukkitRunnable() {
            private int count = 0;
            private double angle = 0;
            private double speed = 1.25;
            private int skyTnt = 0;

            @Override
            public void run() {
                if (count >= 200) {
                    cancel();
                    return;
                }
                double radius = 1.5;
                double angleStep = Math.PI / 4;
                double angle = skyTnt * angleStep;
                Vector vector = new Vector(radius * Math.cos(angle), 0.5, radius * Math.sin(angle));
                player.setVelocity(vector);
                skyTnt++;
                if (skyTnt >= 8) {
                    skyTnt = 0;
                }
                count++;
            }
        }.runTaskTimer(EnderDragonWar.inst(), 0L, 1L);
    }

    @Override
    public int getQueueTime() {
        return 200;
    }

}
