package com.io.yutian.enderdragonwar.game;

import com.io.yutian.pixelliveapi.api.PixelLiveAPI;

public class GameSetting {

    private static int dianzanAmount;
    private static String dianzanEffect;
    private static int deathAddTime;

    public static void load() {
        PixelLiveAPI.getExtraDataManager().addDefault("点赞数量", "50");
        PixelLiveAPI.getExtraDataManager().addDefault("点赞效果", "幸运方块");
        PixelLiveAPI.getExtraDataManager().addDefault("死亡增加时间", "5");
        dianzanAmount = PixelLiveAPI.getExtraDataManager().getConfigValueInt("点赞数量", 50);
        dianzanEffect = PixelLiveAPI.getExtraDataManager().getConfigValue("点赞效果", "幸运方块");
        deathAddTime = PixelLiveAPI.getExtraDataManager().getConfigValueInt("死亡增加时间", 5);
    }

    public static int getDianzanAmount() {
        return dianzanAmount;
    }

    public static String getDianzanEffect() {
        return dianzanEffect;
    }

    public static int getDeathAddTime() {
        return deathAddTime;
    }

}
